%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires(pre): perl(Exporter.pm) perl(Module/Build.pm) perl(Test/Builder.pm) perl(Test/More.pm) perl(Test/Tester.pm)
# END SourceDeps(oneline)
%define module_version 0.02
%define module_name Test-Symlink
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: Test::Builder based test for symlink correctness
Group: Development/Perl
License: bsd
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/N/NI/NIKC/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
use Test::Symlink tests => 3;

    symlink_ok('foo', 'bar', 'foo links to bar');
    symlink_ok('foo' => 'bar', 'Use fat comma for visual clarity');

    # The test name is optional
    symlink_ok('foo' => 'bar') # ok 3 - Symlink: foo -> bar

Test::Symlink automatically exports `symlink_ok()' for testing 
the correctness of symlinks.  Test::Symlink uses Test::Builder, so 
plays nicely with Test::Simple, Test::More, and other Test::Builder 
based modules.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/T*

%changelog
* Fri May 02 2014 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

